You are not logged in.

#1 2013-04-06 20:27:34

Dreamkey
Member
Registered: 2010-08-28
Posts: 30

Can't upgrade with pacman 4.1 and ramfs

Hello,

On my fstab, I have a line to create the pacman download cache:

none                    /var/cache/pacman               ramfs           defaults        0 0

It worked fine until I updated to pacman 4.1 - no problem during the installation, and I merged the pacman.conf - but now, everytime I try to install the upgrade I get this error:

error: Partition /var/cache/pacman too full: 559 blocks needed, 0 blocks free
error: failed to commit transaction (not enough free disk space)

Should I open a bug report?

Offline

#2 2013-04-07 04:18:45

fsckd
Forum Moderator
Registered: 2009-06-15
Posts: 3,567

Re: Can't upgrade with pacman 4.1 and ramfs

How much space does /var/cache/pacman have and how much space does pacman need? Compare those two values and tell us the results.


aur S & M :: forum rules :: Community Ethos
Resources for Women, POC, LGBT*, and allies

Offline

#3 2013-04-07 07:14:35

cdown
Member
From: London, England
Registered: 2013-02-09
Posts: 46
Website

Re: Can't upgrade with pacman 4.1 and ramfs

Is there a reason why you're using ramfs instead of tmpfs? The former isn't going to use the virtual memory subsystem very effectively, and it's probably not what you want. tmpfs on the other hand is quite willing to use swap as a backing store, which probably would mitigate this issue.

Offline

#4 2013-04-07 08:30:22

Dreamkey
Member
Registered: 2010-08-28
Posts: 30

Re: Can't upgrade with pacman 4.1 and ramfs

fsckd wrote:

How much space does /var/cache/pacman have and how much space does pacman need? Compare those two values and tell us the results.

Pacman needs a block for each 4Kio it needs to download, for example 1813 blocks to download 7,06 MiB.
Virtually I have all my RAM (2GB) for /tmp and /var/cache/pacman but df seems to be lost:

$ df /var/cache/pacman /tmp
Filesystem     1K-blocks  Used Available Use% Mounted on
none                   0     0         0    - /var/cache/pacman
none                   0     0         0    - /tmp

If I disable CheckSpace in pacman.conf I can download again, but I don't think it was disabled in 4.0.


cdown wrote:

Is there a reason why you're using ramfs instead of tmpfs? The former isn't going to use the virtual memory subsystem very effectively, and it's probably not what you want. tmpfs on the other hand is quite willing to use swap as a backing store, which probably would mitigate this issue.

I discovered ramfs on the wiki and it was what I was looking for at this time.
Because I never knew the optimal value I should put for the tmpfs limit and my ram usage varies a lot, I thought that ramfs was a better choice.

Offline

#5 2013-04-07 09:28:08

Allan
Developer
From: Brisbane, AU
Registered: 2007-06-09
Posts: 10,416
Website

Re: Can't upgrade with pacman 4.1 and ramfs

If df can not give the free space, nor can pacman.   But feel free to file a bug report about this and it will be looked at.

Offline

#6 2013-05-22 20:11:34

sanczol
Member
From: Warsaw, Poland
Registered: 2013-03-16
Posts: 7

Re: Can't upgrade with pacman 4.1 and ramfs

I have the same problem after yesterday update. Is there any solution?

edit:
I didn't seen any bug reports about this so I added one bug report.

Last edited by sanczol (2013-05-22 20:59:23)


Laptop Samsung 900X4C-A03
Laptop Samsung RF711, Cpu: Quad core Intel Core i7-2630QM, Kernel: Current x86_64, RAM: 8GB
Drives: SAMSUNG_470_Seri 64.0GB, WDC_WD5000BEVT 500.1GB
Graphics: Intel Integrated Graphics Controller, NVIDIA Corporation GF108 [GeForce GT 540M] (Optimus)

Offline

#7 2013-05-23 11:44:26

falconindy
Developer
From: New York, USA
Registered: 2009-10-22
Posts: 4,096
Website

Re: Can't upgrade with pacman 4.1 and ramfs

The solution is not to use ramfs. There is no good reason to do so when tmpfs is available.

Offline

Board footer

Powered by FluxBB